package TX_OtherClass;

import java.io.Serializable;

public abstract class JceStruct implements Serializable {
    public static final byte BYTE = 0;
    public static final byte DOUBLE = 5;
    public static final byte FLOAT = 4;
    public static final byte INT = 2;
    public static final int JCE_MAX_STRING_LENGTH = 104857600;
    public static final byte LIST = 9;
    public static final byte LONG = 3;
    public static final byte MAP = 8;
    public static final byte SHORT = 1;
    public static final byte SIMPLE_LIST = 13;
    public static final byte STRING1 = 6;
    public static final byte STRING4 = 7;
    public static final byte STRUCT_BEGIN = 10;
    public static final byte STRUCT_END = 11;
    public static final byte ZERO_TAG = 12;
    public Object tag;

    public JceStruct() {
        super();
    }

    public int containField(String arg2) {
        return 0;
    }

    public void display(StringBuilder arg1, int arg2) {
    }

    public void displaySimple(StringBuilder arg1, int arg2) {
    }

    public Object getFieldByName(String arg2) {
        return null;
    }

    public Object getTag() {
        return this.tag;
    }

    public JceStruct newInit() {
        return null;
    }

    public abstract void readFrom(c arg1);

    public void recyle() {
    }

    public void setFieldByName(String arg1, Object arg2) {
    }

    public void setTag(Object arg1) {
        this.tag = arg1;
    }

    public byte[] toByteArray() {
        d v0 = new d((byte)0);
        this.writeTo(v0);
        return v0.a();
    }

    public byte[] toByteArray(String arg3) {
        d v0 = new d((byte)0);
        v0.a(arg3);
        this.writeTo(v0);
        return v0.a();
    }

    public static String toDisplaySimpleString(JceStruct arg2) {
        String v0;
        if(arg2 == null) {
            v0 = null;
        }
        else {
            StringBuilder v0_1 = new StringBuilder();
            arg2.displaySimple(v0_1, 0);
            v0 = v0_1.toString();
        }

        return v0;
    }

    public String toString() {
        StringBuilder v0 = new StringBuilder();
        this.display(v0, 0);
        return v0.toString();
    }

    public abstract void writeTo(d arg1);
}

